Package org.apache.solr.client.solrj.request

## Class FileStoreApi

- java.lang.Object
- - org.apache.solr.client.solrj.request.FileStoreApi

    public class FileStoreApi
    extends Object

Experimental SolrRequest's and SolrResponse's for fileStore, generated from an OAS.

See individual request and response classes for more detailed and relevant information.

All SolrRequest implementations rely on v2 APIs which may require a SolrClient configured to use the '/api' path prefix, instead of '/solr'.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`static class` `FileStoreApi.DeleteFile`
`static class` `FileStoreApi.DeleteFileResponse`
`static class` `FileStoreApi.UploadFile`
`static class` `FileStoreApi.UploadFileResponse`

### Constructor Summary

Constructors
`FileStoreApi()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileStoreApi

    public FileStoreApi()